# 2024 Annual Report: SIG K8s Infra

## Current initiatives and Project Health

1. What work did the SIG do this year that should be highlighted?

- Integration with Microsoft Azure
- Migration of prow.k8s.io to the community Infrastructure
- Requirements for the migration fromg Google GCR to Google Artifact Registry
<!--
   Some example items that might be worth highlighting:
- Major KEP advancement
- Important initiatives that aren't tracked via KEPs
- Paying down significant tech debt
- Governance and leadership changes
  -->

2. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?

- Improve our security posture
- Optimize resources consumption
  - https://github.com/kubernetes/k8s.io/issues/5127
  - https://github.com/kubernetes/k8s.io/issues/7584
  - https://github.com/kubernetes/k8s.io/issues/4303
- Observability

3. Did you have community-wide updates in 2024 (e.g. KubeCon talks)?

[Kubernetes Infra SIG: Intro and Updates](https://www.youtube.com/watch?v=1-OCYY-OG0A)

[Intro & Deep Dive Kubernetes Infrastructure](https://www.youtube.com/watch?v=XZlalBACTSg)

<!--
  Examples include links to email, slides, or recordings.
-->

4. KEP work in 2024 (v1.30, v1.31, v1.32):

NONE

<!--
   TODO: Uncomment the following auto-generated list of KEPs, once reviewed & updated for correction.

   Note: This list is generated from the KEP metadata in kubernetes/enhancements repository.
      If you find any discrepancy in the generated list here, please check the KEP metadata.
      Please raise an issue in kubernetes/community, if the KEP metadata is correct but the generated list is incorrect.
-->

<!--

 -->

## [Subprojects](https://git.k8s.io/community/sig-k8s-infra#subprojects)

**Continuing:**

- community-images
- k8s-infra-dns
- k8s-infra-groups
- k8s.io
- porche
- registry.k8s.io

## [Working groups](https://git.k8s.io/community/sig-k8s-infra#working-groups)

**Continuing:**

- LTS

## Operational

Operational tasks in [sig-governance.md]:

- [x] [README.md] reviewed for accuracy and updated if needed
- [ ] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
- [ ] Other contributing docs (e.g. in devel dir or contributor guide) reviewed for accuracy and updated if needed
- [x] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [x] SIG leaders (chairs, tech leads, and subproject leads) in [sigs.yaml] are accurate and active, and updated if needed
- [ ] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed

[CONTRIBUTING.md]: https://git.k8s.io/community/sig-k8s-infra/CONTRIBUTING.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-k8s-infra/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
